Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.uzh.ifi.attempto.preditor.text
Class RefTextElement

    java.lang.Object
      ch.uzh.ifi.attempto.preditor.text.RefTextElement

All Implemented Interfaces:
  TextElement

    public class RefTextElement

extends java.lang.Object
implements TextElement

This class represents a text element that is a reference to a preceding text element.

Author:
  Tobias Kuhn
See Also:
  `RefableTextElement`

Constructor Summary
`RefTextElement(RefableTextElement refableTextElement, java.lang.String category)` Creates a new reference text element that refers to the given referenceable text element.

Method Summary
`void` | `checkNeighborTextElements(TextElement precedingTextElement, TextElement nextTextElement)` Checks the preceding and next text element.
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getCategory()` Returns the grammatical category of this text element.
`java.lang.String` | `getText()` Returns the text of this text element.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RefTextElement

    public RefTextElement(RefableTextElement refableTextElement,
                          java.lang.String category)

  Creates a new reference text element that refers to the given referenceable text element.

  Parameters:
    `refableTextElement` - The referenceable text element occurring earlier in the text.
    `category` - The category of the reference text element.

Method Detail

### getText

    public java.lang.String getText()

  Description copied from interface: `TextElement`
  Returns the text of this text element.

  Specified by:
    `getText` in interface `TextElement`
  Returns:
    The text.

### getCategory

    public java.lang.String getCategory()

  Description copied from interface: `TextElement`
  Returns the grammatical category of this text element.

  Specified by:
    `getCategory` in interface `TextElement`
  Returns:
    The grammatical category.

### checkNeighborTextElements

    public void checkNeighborTextElements(TextElement precedingTextElement,
                                          TextElement nextTextElement)

  Description copied from interface: `TextElement`
  Checks the preceding and next text element. This is needed for words that change their form depending on the context, e.g. for capitalization or for the indefinite article "a"/"an".

  Specified by:
    `checkNeighborTextElements` in interface `TextElement`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in interface `TextElement`
  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)